package demo.ws.logmsg;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

import demo.domain.LogMessage;

public class LogMessageServiceImpl2 {
	private static final Log log = LogFactory.getLog(LogMessageServiceImpl2.class);

	public String processLogMessageRequest(LogMessage request) {
		/*
		 * for this demo, we just log the message, return what we got
		 * and let Mule do its thing...
		 */
		log.debug("received request:\n"+request);
		return request.asXml();
	}

}
